<div class="grid">
  <div class="col-offset-1"></div>
  <div class="col-5">
    <p-breadcrumb [model]="items"></p-breadcrumb>
  </div>
  <div class="col-5">actions</div>
  <div class="col-offset-1"></div>
</div>

<div class="grid" #gd>
  <div class="col-offset-1"></div>
  <div class="col-10">
    <div class="p-inputgroup">
      <input type="text" pInputText placeholder="Search..." />
      <button
        pButton
        pRipple
        class="p-button-outlined p-button-secondary"
        icon="fa-solid fa-calendar-days"
        (click)="calendar.toggle($event)"
      ></button>
      <button
        pButton
        pRipple
        class="p-button-outlined p-button-secondary"
        icon="fa-solid fa-circle-chevron-down"
        (click)="condition_panel.toggle($event)"
      ></button>
      <button
        pButton
        pRipple
        class="p-button-outlined p-button-secondary"
        icon="fa-solid fa-circle-xmark"
        (click)="onSearch()"
      ></button>
      <button
        pButton
        pRipple
        class="p-button-outlined p-button-secondary"
        icon="fa-solid fa-magnifying-glass"
        (click)="onSearch()"
      ></button>
    </div>
  </div>
  <div class="col-offset-1"></div>
</div>

<p-calendar selectionMode="range" selectOtherMonths="true" numberOfMonths="2" showIcon="true"></p-calendar>

<p-overlayPanel #calendar appendTo="gd">
  <p-calendar selectionMode="range" inline="true" showOtherMonths="true" numberOfMonths="2"></p-calendar>
</p-overlayPanel>

<p-overlayPanel #condition_panel></p-overlayPanel>
